/*******************************
 *          __                   
 *         /\ \                  
 *  __  _  \_\ \     __    ___   
 * /\ \/'\ /'_' \  /'__'\ /'___\ 
 * \/>  <//\ \ \ \/\  __//\ \__/ 
 *  /\_/\_\ \___,_\ \____\ \____\
 *  \//\/_/\/__,_ /\/____/\/____/
 * 
 * Author: 	declis
 * E-Mail:	declis@xdec.de
 ********************************/ 

#ifndef LIB_RNG_H_
#define LIB_RNG_H_

extern uchar max_bits;	// max. bits for real RNG
extern ulong qran_seed;	// seed for PRNG, will be initialized with a number of the real RNG

ulong get_seed_pseudo(void);
sint get_rand_pseudo(sint,sint);
sint get_rand(sint,sint);
uint get_seed(uchar);
void init_ADC(uchar,uchar);
void ADC_start(void);

#endif /*LIB_RNG_H_*/
